gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[libmicrohttpd] branch master updated (3bd6b07f -> 6285d14f)


From: gnunet
Subject: [libmicrohttpd] branch master updated (3bd6b07f -> 6285d14f)
Date: Mon, 29 Jan 2024 22:21:23 +0100

This is an automated email from the git hooks/post-receive script.

karlson2k pushed a change to branch master
in repository libmicrohttpd.

    from 3bd6b07f Minor corrections for bc827fcc09ac66b87a6ac052982beda393aeec60
     new c28176fd configure: fixed some compiler warnings
     new 0489469c make-dist.sh: allowed Debian trixie/sid
     new 6285d14f libcurl tests: fixed compiler warnings

The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 configure.ac                           |  2 +-
 contrib/make-dist.sh                   |  9 +++++----
 src/testcurl/test_add_conn.c           |  6 +++++-
 src/testcurl/test_concurrent_stop.c    |  2 +-
 src/testcurl/test_digestauth_emu_ext.c |  2 +-
 src/testcurl/test_get_chunked.c        | 12 ++++++------
 6 files changed, 19 insertions(+), 14 deletions(-)

diff --git a/configure.ac b/configure.ac
index 05591770..90e18c25 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2495,7 +2495,7 @@ AC_CACHE_CHECK([size of tv_sec member of struct timeval], 
[mhd_cv_size_timeval_t
 #if HAVE_SYS_TYPES_H
 #include <sys/types.h>
 #endif /* HAVE_SYS_TYPES_H */
-struct timeval test_var;
+static struct timeval test_var;
       ]],
       [
         # The size is used only to exclude additional checks/comparison in code
diff --git a/contrib/make-dist.sh b/contrib/make-dist.sh
index 47d580ac..f8ecf273 100755
--- a/contrib/make-dist.sh
+++ b/contrib/make-dist.sh
@@ -5,12 +5,13 @@
 # Optional autotools patches are applied for better toolchains
 # compatibility.
 #
-# Based on Debian SID baseline files as of April 2023.
+# Based on Debian SID baseline files as of January 2024.
 #
 
-if ! grep -Eq -e '^PRETTY_NAME="Debian GNU/Linux 12 \(bookworm\)"$' 
/etc/os-release
+if ! grep -Eq -e '^PRETTY_NAME="Debian GNU/Linux 12 \(bookworm\)"$' 
/etc/os-release && \
+   ! grep -Eq -e '^PRETTY_NAME="Debian GNU/Linux trixie/sid"$' /etc/os-release 
 then
-  echo "Only Debian 'bookworm' is supported by this script." >&2
+  echo "Only Debian 'bookworm' and 'trixie/sid' are supported by this script." 
>&2
   exit 1
 fi
 
@@ -95,7 +96,7 @@ echo '*** Building dist tarball...'
 echo ''
 ./configure || exit 7
 if have_command zopfli; then
-    make dist-custm2 'ARC_CMD=zopfli -v --gzip --i15' 'ARC_EXT=tar.gz' || exit 
7
+    make dist-custm2 'ARC_CMD=zopfli -v --gzip --i25' 'ARC_EXT=tar.gz' || exit 
7
 else
     make dist || exit 7
     echo '* zopfli is not installed, tarball size is suboptimal.'
diff --git a/src/testcurl/test_add_conn.c b/src/testcurl/test_add_conn.c
index 503ad89e..cf68e6d6 100644
--- a/src/testcurl/test_add_conn.c
+++ b/src/testcurl/test_add_conn.c
@@ -763,7 +763,8 @@ startTestMhdDaemon (enum testMhdThreadsType thrType,
                           MHD_OPTION_URI_LOG_CALLBACK, &log_cb, NULL,
                           MHD_OPTION_END);
     break;
-  default:
+  case testMhdThreadInternal:
+  case testMhdThreadInternalPerConnection:
     d = MHD_start_daemon (((unsigned int) thrType) | ((unsigned int) pollType)
                           | MHD_USE_ITC
                           | (no_listen ? MHD_USE_NO_LISTEN_SOCKET : 0)
@@ -773,6 +774,9 @@ startTestMhdDaemon (enum testMhdThreadsType thrType,
                           MHD_OPTION_URI_LOG_CALLBACK, &log_cb, NULL,
                           MHD_OPTION_END);
     break;
+  default:
+    abort ();
+    break;
   }
 
   if (NULL == d)
diff --git a/src/testcurl/test_concurrent_stop.c 
b/src/testcurl/test_concurrent_stop.c
index 9c7df42f..eed6bf9a 100644
--- a/src/testcurl/test_concurrent_stop.c
+++ b/src/testcurl/test_concurrent_stop.c
@@ -96,7 +96,7 @@ thread_watchdog (void *param)
 }
 
 
-pthread_t watchdog_tid;
+static pthread_t watchdog_tid;
 
 static void
 start_watchdog (int timeout, const char *obj_name)
diff --git a/src/testcurl/test_digestauth_emu_ext.c 
b/src/testcurl/test_digestauth_emu_ext.c
index 8506a567..033be0cf 100644
--- a/src/testcurl/test_digestauth_emu_ext.c
+++ b/src/testcurl/test_digestauth_emu_ext.c
@@ -266,7 +266,7 @@ static int verbose;
 static int oldapi;
 
 /* Static helper variables */
-struct curl_slist *curl_headers;
+static struct curl_slist *curl_headers;
 
 static void
 test_global_init (void)
diff --git a/src/testcurl/test_get_chunked.c b/src/testcurl/test_get_chunked.c
index 9ffa8041..87b07b7e 100644
--- a/src/testcurl/test_get_chunked.c
+++ b/src/testcurl/test_get_chunked.c
@@ -60,32 +60,32 @@
 /**
  * Use "Connection: close" header?
  */
-int conn_close;
+static int conn_close;
 
 /**
  * Use static string response instead of callback-generated?
  */
-int resp_string;
+static int resp_string;
 
 /**
  * Use response with known size?
  */
-int resp_sized;
+static int resp_sized;
 
 /**
  * Use empty (zero-sized) response?
  */
-int resp_empty;
+static int resp_empty;
 
 /**
  * Force chunked response by response header?
  */
-int chunked_forced;
+static int chunked_forced;
 
 /**
  * MHD port used for testing
  */
-uint16_t port_global;
+static uint16_t port_global;
 
 
 struct headers_check_result

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]